// ===========================================================================
// Imagine++ Libraries
// Copyright (C) Imagine
// For detailed information: http://imagine.enpc.fr/software
// ===========================================================================

#ifndef _IMAGINELEVELSETS_H
#define _IMAGINELEVELSETS_H

#include <string>
#include <fstream>
#include <list>
#include <vector>
#include <algorithm>
#include <limits>


#include <Imagine/Images.h>
//#include <Imagine/Geometry.h>

/// \defgroup LevelSets LevelSets Library
/// @{
/// \example LevelSets/test/example.cpp
/// @}

#include "LevelSets/PriorityQueue.h"
#include "LevelSets/FastMarching.h"
#include "LevelSets/Fluxes.h"
#include "LevelSets/LSet.h"
#include "LevelSets/Approximators.h"
#include "LevelSets/Integrators.h"
#include "LevelSets/MarchingCubes.h"
#include "LevelSets/MarchingSquares.h"
#include "LevelSets/IO.h"

#endif

